﻿// Copyright (c) 2020 Tudor Stanciu

using System.Collections.Generic;
using System.Linq;
using Tuitio.Domain.Entities;

namespace Tuitio.Application.Extensions
{
    internal static class EntityExtensions
    {
        public static IEnumerable<UserRole> GetUserRoles(this AppUser user)
        {
            var roles = new List<UserRole>();

            var groups = user.UserGroups?.Select(z => z.UserGroup);
            if (groups != null)
            {
                foreach (var group in groups)
                {
                    var groupRoles = group.GroupRoles?.Select(z => z.UserRole);
                    if (groupRoles == null)
                        continue;
                    roles.AddRange(groupRoles);
                }
            }

            if (user.UserRoles != null)
                roles.AddRange(user.UserRoles.Select(z => z.UserRole));

            return roles.ToArray();
        }
    }
}
