﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Tuitio.Domain.Entities;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class ContactOptionConfiguration : IEntityTypeConfiguration<ContactOption>
    {
        public void Configure(EntityTypeBuilder<ContactOption> builder)
        {
            builder.ToTable("ContactOption").HasKey(key => key.ContactOptionId);
            builder.Property(z => z.ContactOptionId).ValueGeneratedOnAdd();
            builder.HasOne(z => z.ContactType).WithMany().HasForeignKey(z => z.ContactTypeId);
        }
    }
}
